--- title: "addAccessControlGroupOutboundRule" slug: "compute-vserver-acg-addaccesscontrolgroupoutboundrule" tags: ["Server", "ACG"] updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-acg-addaccesscontrolgroupoutboundrule" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addAccessControlGroupOutboundRule Available in VPC Add an outbound rule to an ACG. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/addAccessControlGroupOutboundRule | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `vpcNo` | String | Required | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `accessControlGroupNo` | String | Required | ACG number - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). | | `accessControlGroupRuleList.N.protocolTypeCode` | String | Required | Protocol type code - `TCP` \| `UDP` \| `ICMP` \| `1`-`254` (protocol number) - Protocol number: See [Protocol number](https://www.iana.org/assignments/protocol-numbers/protocol-numbers.xhtml). | | `accessControlGroupRuleList.N.ipBlock` | String | Conditional | Destination: IP address block - Can't be used concurrently with `accessControlGroupSequence` - Example: `0.0.0.0/0`, `100.10.20.0/24` | | `accessControlGroupRuleList.N.accessControlGroupSequence` | String | Conditional | Destination: ACG number - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). - Can't be used concurrently with `ipBlock`. | | `accessControlGroupRuleList.N.portRange` | String | Conditional | Allowed port - Enter as a single port or range of ports. - Required if `protocolTypeCode` is `TCP(6)` or `UDP(17)` - Example: `22`, `1-65535` | | `accessControlGroupRuleList.N.accessControlGroupRuleDescription` | String | Optional | ACG outbound rule note (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/addAccessControlGroupOutboundRule ?regionCode=KR &vpcNo=4235 &accessControlGroupNo=6***4 &accessControlGroupRuleList.1.protocolTypeCode=TCP &accessControlGroupRuleList.1.ipBlock=0.0.0.0%2F0 &accessControlGroupRuleList.1.portRange=22 &accessControlGroupRuleList.1.accessControlGroupRuleDescription=general &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `addAccessControlGroupOutboundRuleResponse` | Object | - | Response result - See [AccessControlGroupRuleList](/docs/en/common-vapidatatype-accesscontrolgrouprulelist). | | `addAccessControlGroupOutboundRuleResponse.requestId` | String | - | ID for the request - UUID format | | `addAccessControlGroupOutboundRuleResponse.returnCode` | String | - | Response code | | `addAccessControlGroupOutboundRuleResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "addAccessControlGroupOutboundRuleResponse": { "totalRows": 1, "accessControlGroupRuleList": [ { "accessControlGroupNo": "6***4", "protocolType": { "code": "TCP", "codeName": "tcp", "number": 6 }, "ipBlock": "0.0.0.0/0", "accessControlGroupSequence": "", "portRange": "22", "accessControlGroupRuleType": { "code": "OTBND", "codeName": "Outbound" }, "accessControlGroupRuleDescription": "general" } ], "requestId": "fbce2da5-****-****-****-5382adade9c9", "returnCode": "0", "returnMessage": "success" } } ```